#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	25.04.1
%define		kf_ver		6.3.0
%define		qt_ver		6.6.0
%define		kaname		kpimtextedit
Summary:	KPIMTextedit - a textedit with PIM-specific features
Summary(pl.UTF-8):	KPIMTextedit - pole edycji tekstu z funkcjami specyficznymi dla PIM
Name:		ka6-%{kaname}
Version:	25.04.1
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	9b57d5daa37666a6de6782314ddeaf71
URL:		https://kde.org/
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
%if %{with tests}
BuildRequires:	Qt6Test-devel >= %{qt_ver}
%endif
BuildRequires:	Qt6Widgets-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-tools
BuildRequires:	kf6-extra-cmake-modules >= %{kf_ver}
BuildRequires:	kf6-kcodecs-devel >= %{kf_ver}
BuildRequires:	kf6-kconfig-devel >= %{kf_ver}
BuildRequires:	kf6-kcoreaddons-devel >= %{kf_ver}
BuildRequires:	kf6-ki18n-devel >= %{kf_ver}
BuildRequires:	kf6-kiconthemes-devel >= %{kf_ver}
BuildRequires:	kf6-kio-devel >= %{kf_ver}
BuildRequires:	kf6-ktextaddons-devel >= 1.5.4
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kxmlgui-devel >= %{kf_ver}
BuildRequires:	kf6-sonnet-devel >= %{kf_ver}
BuildRequires:	kf6-syntax-highlighting-devel >= %{kf_ver}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt6Core >= %{qt_ver}
Requires:	Qt6Gui >= %{qt_ver}
Requires:	Qt6Widgets >= %{qt_ver}
Requires:	kf6-kcodecs >= %{kf_ver}
Requires:	kf6-kconfig >= %{kf_ver}
Requires:	kf6-kcoreaddons >= %{kf_ver}
Requires:	kf6-ki18n >= %{kf_ver}
Requires:	kf6-kiconthemes >= %{kf_ver}
Requires:	kf6-kio >= %{kf_ver}
Requires:	kf6-ktextaddons >= 1.5.4
Requires:	kf6-kwidgetsaddons >= %{kf_ver}
Requires:	kf6-kxmlgui >= %{kf_ver}
Requires:	kf6-sonnet >= %{kf_ver}
Requires:	kf6-syntax-highlighting >= %{kf_ver}
Obsoletes:	ka5-kpimtextedit < 24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KPIMTextedit provides a textedit with PIM-specific features.

%description -l pl.UTF-8
KPIMTextedit dostarcza pole edycji tekstu z funkcjami specyficznymi
dla PIM.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kf6-ktextaddons-devel >= 1.5.4
Obsoletes:	ka5-kpimtextedit-devel < 24

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang libkpimtextedit6

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f libkpimtextedit6.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libKPim6TextEdit.so.*.*
%ghost %{_libdir}/libKPim6TextEdit.so.6
%{_datadir}/qlogging-categories6/kpimtextedit.categories

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKPim6TextEdit.so
%{_includedir}/KPim6/KPIMTextEdit
%{_libdir}/cmake/KPim6TextEdit
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kpimtextedit.git;a=log;h=master

* Thu May 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 1b1d562
- updated to 25.04.1

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 83470ce
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> d37e7e4
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 8010708
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 93f440c
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 095c26e
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 21af492
- updated to 24.08.3

* Wed Oct 30 2024 Jakub Bogusz <qboosh@pld-linux.org> e43e281
- release 3

* Tue Oct 29 2024 Jakub Bogusz <qboosh@pld-linux.org> 33107db
- updated dependencies

* Tue Oct 29 2024 Jakub Bogusz <qboosh@pld-linux.org> 0404d70
- updated ktextaddons package name

* Mon Oct 28 2024 Jakub Bogusz <qboosh@pld-linux.org> 8b31587
- macros for ninja

* Mon Oct 28 2024 Jakub Bogusz <qboosh@pld-linux.org> 615b4a0
- descriptions, cleanup

* Thu Oct 17 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5eedae2
- relup

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> db144ae
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 131616b
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f1e6c43
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 12c02a6
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1f0eacc
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0328a1b
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> af713d2
- updated to 24.02.2

